summaryrefslogtreecommitdiffstats
path: root/contrib/tools/python3/Lib/venv/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/tools/python3/Lib/venv/scripts')
-rw-r--r--contrib/tools/python3/Lib/venv/scripts/common/activate4
1 files changed, 2 insertions, 2 deletions
diff --git a/contrib/tools/python3/Lib/venv/scripts/common/activate b/contrib/tools/python3/Lib/venv/scripts/common/activate
index 70673a265d4..241a8650bda 100644
--- a/contrib/tools/python3/Lib/venv/scripts/common/activate
+++ b/contrib/tools/python3/Lib/venv/scripts/common/activate
@@ -17,7 +17,7 @@ deactivate () {
# Call hash to forget past locations. Without forgetting
# past locations the $PATH changes we made may not be respected.
# See "man bash" for more details. hash is usually a builtin of your shell
- hash -r 2> /dev/null
+ hash -r 2> /dev/null || true
if [ -n "${_OLD_VIRTUAL_PS1:-}" ] ; then
PS1="${_OLD_VIRTUAL_PS1:-}"
@@ -73,4 +73,4 @@ fi
# Call hash to forget past commands. Without forgetting
# past commands the $PATH changes we made may not be respected
-hash -r 2> /dev/null
+hash -r 2> /dev/null || true